Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class JarDirectory

    java.lang.Object
      org.gradle.plugins.ide.idea.model.JarDirectory

    class JarDirectory

Represents a jar directory element of an idea module library.

Property Summary
`Path` | `path` The path of the jar directory
`boolean` | `recursive` The value for the recursive attribute of the jar directory element.

Constructor Summary
`JarDirectory(def path, def recursive)`

Method Summary
`boolean` | `equals(def o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### path

    Path path

  The path of the jar directory

### recursive

    boolean recursive

  The value for the recursive attribute of the jar directory element.

Constructor Detail

### JarDirectory

    JarDirectory(def path, def recursive)

Method Detail

### equals

    boolean equals(def o)

### hashCode

    int hashCode()

### toString

    String toString()

Gradle API 1.10